%define _prefix /usr

Name: ldg-version
Version: 1.0.2
Release: 1
Summary: LIGO Data Grid version script
License: GPL
Group:  LSCSOFT
Source: %{name}-%{version}.tar.gz
URL: http://www.lsc-group.phys.uwm.edu/repositories.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python ldg-core osg-ca-certs vdt-gsi-openssh-client myproxy ldg-cert-util
Obsoletes: ldg-server-version ldg-client-version
BuildArch: noarch

%description
Script to report version of installed LIGO Data Grid

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
%{__make}

%install
%makeinstall

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(0755,root,root)
%{_bindir}/ldg-version

%changelog
* Wed Noc 2 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.2-1
- add Scientific Linux support

* Wed Nov 2 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.1-2
- fix dependencies for Scientific Linux 6

* Tue May 31 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.1-1
- use format specifier instead of string concatenation
- more robust method for parsing version
- consistent error messages

* Fri Apr 26 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.0-1
- initial version
